# Portail Data documentation

## Commands

* `mkdocs new [dir-name]` - Create a new project.
* `mkdocs serve` - Start the live-reloading docs server.
* `mkdocs build` - Build the documentation site.
* `mkdocs help` - Print this help message.

## Setting files hierarchy
    inside mkdocs.yml use the key nav: to configure the md files hierarchy

    nav:
        - Home: index.md
        - Architecture Guide:
            - Admin-gui: architecture/admin-gui.md
            - Admin-tools: architecture/admin-tools.md
            - Api-gateway: architecture/api-gateway.md
            - CMS: architecture/cms.md
            - Monitoring: architecture/monitoring.md
            - Web-app: architecture/web-app.md
            - Service:
                - authentification: architecture/service/autentification.md
                - Elasticsearch:
                    - Indexer: architecture/service/elasticsearch/indexer.md

## Project layout

    mkdocs.yml    # The main file and configuration file.
    docs/
        index.md  # The documentation homepage.
        ...       # Other markdown pages, images and other files.